# configuration for extlinux config builder

# overwrite
# Overwrite current /boot/extlinux.conf. If this is not '1' we will only
# write to /boot/extlinux.conf.new
overwrite=1

# vesa_menu
# use fancy vesa menu (vesamenu.c32) menus, won't work with serial
vesa_menu=0

# default_kernel_opts
# default kernel options
default_kernel_opts=quiet

# modules
# modules which should be loaded before pivot_root
modules=sd-mod,usb-storage,ext3

# root
# root device - if not specified, will be guessed using
# blkid -o export /dev/root
root=

# verbose
# if set to non-zero, update-extlinux will be a lot more verbose.
verbose=0

# hidden
# if set to non-zero, the boot menu will be hidden by default.
hidden=1

# timeout
# number of seconds to wait before booting default
timeout=3

# default
# default kernel to boot
default=hardened

# serial_port
# serial port number - if not specified, serial console will be disabled
serial_port=

# serial_baud
# the baudrate for the serial port. Will use 115200 if unset
serial_baud=115200

# xen_opts
# options to hand to xen hypervisor, useful ones are:
#    dom0_mem=256M (give domain-0 environment 256M ram)
xen_opts=dom0_mem=256M

# if you copy /usr/share/syslinux/reboot.c32 to /boot/, a menu entry
# will be auto-generated for it

# if you copy hdt.c32, libgpl.c32, and libmenu.c32 from /usr/share/syslinux/
# to /boot/, a menu entry will be auto-generated for HDT

# if you download and install /boot/memtest, then if HDT is present it
# will use it, else a separate menu entry will be auto-generated for
# memtest

# optional password
# you can generate a SHA512 password using: mkpasswd
#
# if you assign a password, you should make this file world-unreadable
#
# if a password is assigned, the menu entries can't be edited at boot
# time, and HDT if present is password-protected
#
# you can also include "MENU PASSWD" in any custom entries you have in
# /etc/update-extlinux.d/
password=''
